# Uses of Interface
org.gitana.platform.client.team.Team

Packages that use Team
Package
Description
org.gitana.platform.client.datastore
org.gitana.platform.client.stack
org.gitana.platform.client.support
org.gitana.platform.client.team

## Uses of Team in org.gitana.platform.client.datastore

Methods in org.gitana.platform.client.datastore that return Team
Modifier and Type
Method
Description
`Team`
AbstractDataStoreImpl.`createTeam(String teamKey)`
`Team`
AbstractDataStoreImpl.`createTeam(String teamKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Team`
AbstractDataStoreImpl.`getOwnersTeam()`
`Team`
AbstractDataStoreImpl.`readTeam(String teamKey)`
Methods in org.gitana.platform.client.datastore that return types with arguments of type Team
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Team>`
AbstractDataStoreImpl.`listTeams()`

## Uses of Team in org.gitana.platform.client.stack

Methods in org.gitana.platform.client.stack that return Team
Modifier and Type
Method
Description
`Team`
StackImpl.`createTeam(String teamKey)`
`Team`
StackImpl.`createTeam(String teamKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Team`
StackImpl.`getOwnersTeam()`
`Team`
StackImpl.`readTeam(String teamKey)`
Methods in org.gitana.platform.client.stack that return types with arguments of type Team
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Team>`
StackImpl.`listTeams()`

## Uses of Team in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Team
Modifier and Type
Method
Description
`Team`
ObjectFactory.`team(Cluster cluster, Teamable teamable, String teamKey, Response response)`
`Team`
ObjectFactoryImpl.`team(Cluster cluster, Teamable teamable, String teamKey, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Team
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Team>`
ObjectFactory.`teams(Cluster cluster, Teamable teamable, Response response)`
`org.gitana.platform.support.ResultMap<Team>`
ObjectFactoryImpl.`teams(Cluster cluster, Teamable teamable, Response response)`

## Uses of Team in org.gitana.platform.client.team

Classes in org.gitana.platform.client.team that implement Team
Modifier and Type
Class
Description
`class`
`TeamImpl`
Methods in org.gitana.platform.client.team that return Team
Modifier and Type
Method
Description
`Team`
Teamable.`createTeam(String teamKey)`
`Team`
Teamable.`createTeam(String teamKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Team`
Teamable.`getOwnersTeam()`
`Team`
Teamable.`readTeam(String teamKey)`
Methods in org.gitana.platform.client.team that return types with arguments of type Team
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Team>`
Teamable.`listTeams()`